Loading...
Searching...
No Matches
ScheduleFunctions.h File Reference

Defines the function that does initial lowering of Halide Functions into a loop nest using its schedule. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::schedule_functions (const std::vector< Function > &outputs, const std::vector< std::vector< std::string > > &fused_groups, const std::map< std::string, Function > &env, const Target &target, bool &any_memoized)
| Build loop nests and inject Function realizations at the appropriate places using the schedule.

## Detailed Description

Defines the function that does initial lowering of Halide Functions into a loop nest using its schedule.

The first stage of lowering.

Definition in file ScheduleFunctions.h.